Issue 10330

Title
Filename too long
Priority
bug
Status
resolved
Nosy list
Timitos, ced, herrdeh, pokoli, reviewbot, roundup-bot
Assigned to
Timitos
Keywords
review

Created on 2021-04-22.14:29:10 by Timitos, last changed 2 months ago by ced.

Messages

Author: [hidden] (herrdeh)
Date: 2021-07-16.19:15:54

Please apologize my most likely incompetent annotation, certainly you have considered well how to name the report - but:
Does it really make sense to compose an extremely long file name (suggestion) which hardly anybody can use? - Personally, I'd rather have a name like "balance_sheet-[booking_period]-[today's-date]".
Just my 2cts.

New changeset 08aaafaf93c8 by C├ędric Krier in branch 'default':
Limit size of report name to 200 chars
https://hg.tryton.org/tryton-env/rev/08aaafaf93c8
New changeset 12d2c2e99065 by Korbinian Preisler in branch 'default':
Limit size of report name to 200 chars
https://hg.tryton.org/trytond/rev/12d2c2e99065
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-04-23.18:17:10

I guess instead of limiting the record names to 5 to construct the report name, we should also limit the size of the name.
According to https://en.wikipedia.org/wiki/Comparison_of_file_systems#Limits 255 chars seem to be a very common limit. So as anyway such long filename are neither practical, I guess we could limit to for example to 200 chars or 5 records.

Author: [hidden] (Timitos) Tryton translator
Date: 2021-04-22.14:29:10

Expanding the tree on the account type statement balance report leads to the following error when creating the report.
As the report seems to use the rec_name it may be an option to find a better rec_name implementation.

File "/home/kpreisler/dev/tryton-client/trytondevupstreamnochanges/tryton/common/common.py", line 1113, in process
self.callback(return_)

File "/home/kpreisler/dev/tryton-client/trytondevupstreamnochanges/tryton/action/main.py", line 34, in callback
fp_name = file_write((name, type), data)
File "/home/kpreisler/dev/tryton-client/trytondevupstreamnochanges/tryton/common/common.py", line 491, in file_write
with open(filepath, 'wb') as fp:

OSError: [Errno 36] Der Dateiname ist zu lang: '/tmp/tryton_vrw3tgx4/Statement-Kontentypenplan-SKR03-Germany-Kontentypenplan-SKR03-GermanyAktiva-Kontentypenplan-SKR03-GermanyAktivaAusstehende-Einlagen-Kontentypenplan-SKR03-GermanyAktivaAufwendungen-fur-die-Ingangsetzung-und-Erweiterung-des-Geschaftsbetriebs-Kontentypenplan-SKR03-GermanyAktivaAufwendungen-fur-die-Wahrungsumstellung-auf-den-Euro__14.odt'

History
Date User Action Args
2021-09-05 10:11:48cedlinkissue10721 superseder
2021-07-16 21:03:20cedsetstatus: resolved
2021-07-16 19:15:54herrdehsetmessages: + msg68917
nosy: + herrdeh
status: resolved -> (no value)
2021-07-05 09:52:43roundup-botsetmessages: + msg68704
2021-07-05 09:52:39roundup-botsetmessages: + msg68703
nosy: + roundup-bot
status: testing -> resolved
2021-07-02 23:32:03reviewbotsetmessages: + msg68527
2021-04-29 12:23:26reviewbotsetmessages: + msg67066
2021-04-29 11:12:54reviewbotsetmessages: + msg67052
nosy: + reviewbot
2021-04-29 11:06:24Timitossetreviews: 332771003
status: in-progress -> testing
2021-04-29 10:38:20Timitossetreviews: 344101002 -> (no value)

Showing 10 items. Show all history (warning: this could be VERY long)